$(document).ready(function() {
	// Append the modal and overlay to the page body tag
	$("#socialPopup%id%").appendTo('body');
	
	$(".socialPopupTrigger").click(function(e) {
		e.preventDefault();
		
		// When the modal is opened, apply a class of sociableOpen
		$("body").addClass('sociableOpen');
		
		// And check for presence of modal scrolling
		if ($('#socialPopupModalContent%id%').height() > $('#socialPopup-%id=uniqueid%').height()) {
		    // scrollbar
		    $("body").addClass('socialPopupScrollable');
		}
	})
	
	// When the modal is closed, remove the class of sociableOpen
	$(".md-close").click(function() {
		$("body").removeClass('sociableOpen');
	})
	
	// Remove the radioactive glow effect when the modal is scrolled down
	$('#socialPopup-%id=uniqueid%').scroll(function() {
		if ($(this).scrollTop() > 0){
			$('#radioactiveScrollIndicator%id%').fadeOut(300);
		}
		else {
			$('#radioactiveScrollIndicator%id%').fadeIn(300);
		}
	});
	
	%[if %("%id=displayonscroll%" == "onscroll")% ]%
    $(window).scroll(function () {
        if ($(this).scrollTop() > %id=scrolldistance%) {
            $('#socialPopupTriggerButton%id%').fadeIn(300);
        } else {
            $('#socialPopupTriggerButton%id%').fadeOut(300);
        }
    });
	%[endif]%
	
});


// Helpers
$(document).ready(function() {
	// Fetch current window URL
	var url = window.location;
	
	// App.net helper
	$("#socialPopup-%id=uniqueid% .appdotnetHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('https://account.app.net/intent/post/?url='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "https://account.app.net/intent/post/?url="+url;
		%[endif]%
	});
	
	// Baidu helper
	$("#socialPopup-%id=uniqueid% .baiduHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('http://cang.baidu.com/do/add?iu='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "http://cang.baidu.com/do/add?iu="+url;
		%[endif]%
	});
	
	// Blogger helper
	$("#socialPopup-%id=uniqueid% .bloggerHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('https://www.blogger.com/blog-this.g?u='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "https://www.blogger.com/blog-this.g?u="+url;
		%[endif]%
	});
	
	// Delicious helper
	$("#socialPopup-%id=uniqueid% .deliciousHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('https://delicious.com/save?url='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "https://delicious.com/save?url="+url;
		%[endif]%
	});
	
	// Digg helper
	$("#socialPopup-%id=uniqueid% .diggHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('http://digg.com/submit?url='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "http://digg.com/submit?url="+url;
		%[endif]%
	});
	
	// Email helper
	$("#socialPopup-%id=uniqueid% .emailHelper").click(function(e){
		e.preventDefault();
		window.location = 'mailto:?&body='+url;
	});
	
	// Facebook helper
	$("#socialPopup-%id=uniqueid% .facebookHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('https://www.facebook.com/sharer/sharer.php?u='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "https://www.facebook.com/sharer/sharer.php?u="+url;
		%[endif]%
	});
	
	// Google+ helper
	$("#socialPopup-%id=uniqueid% .googleplusHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('https://plus.google.com/share?url='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "https://plus.google.com/share?url="+url;
		%[endif]%
	});
	
	// LinkedIn helper
	$("#socialPopup-%id=uniqueid% .linkedinHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('http://www.linkedin.com/shareArticle?mini=true&url='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "http://www.linkedin.com/shareArticle?mini=true&url="+url;
		%[endif]%
	});
	
	// LiveJournal helper
	$("#socialPopup-%id=uniqueid% .livejournalHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('http://www.livejournal.com/update.bml?url='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "http://www.livejournal.com/update.bml?url="+url;
		%[endif]%
	});
	
	// MySpace helper
	$("#socialPopup-%id=uniqueid% .myspaceHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('http://www.myspace.com/Modules/PostTo/Pages/?u='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "http://www.myspace.com/Modules/PostTo/Pages/?u="+url;
		%[endif]%
	});
	
	// Pocket helper
	$("#socialPopup-%id=uniqueid% .pocketHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('https://getpocket.com/save?url='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "https://getpocket.com/save?url="+url;
		%[endif]%
	});
	
	// Reddit helper
	$("#socialPopup-%id=uniqueid% .redditHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('http://reddit.com/submit?url='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "http://reddit.com/submit?url="+url;
		%[endif]%
	});
	
	// Renren helper
	$("#socialPopup-%id=uniqueid% .renrenHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('http://share.renren.com/share/buttonshare.do?link='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "http://share.renren.com/share/buttonshare.do?link="+url;
		%[endif]%
	});
	
	// Stumbleupon helper
	$("#socialPopup-%id=uniqueid% .stumbleuponHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('http://www.stumbleupon.com/submit?url='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "http://www.stumbleupon.com/submit?url="+url;
		%[endif]%
	}); 
	
	// Twitter helper
	$("#socialPopup-%id=uniqueid% .twitterHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('http://twitter.com/share?url='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "http://twitter.com/share?url="+url;
		%[endif]%
	});  
	
	// Tumblr helper
	$("#socialPopup-%id=uniqueid% .tumblrHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('http://www.tumblr.com/share/link?url='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "http://www.tumblr.com/share/link?url="+url;
		%[endif]%
	});
	
	// Viadeo helper
	$("#socialPopup-%id=uniqueid% .viadeoHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('https://www.viadeo.com/fr/widgets/share/preview?url='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "https://www.viadeo.com/fr/widgets/share/preview?url="+url;
		%[endif]%
	});
	
	// VKontakteLink helper
	$("#socialPopup-%id=uniqueid% .vkontakteHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('http://vk.com/share.php?url='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "http://vk.com/share.php?url="+url;
		%[endif]%
	});
	
	// Weibo helper
	$("#socialPopup-%id=uniqueid% .weiboHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('http://service.weibo.com/share/share.php?url='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "http://service.weibo.com/share/share.php?url="+url;
		%[endif]%
	});
	
	// Xing helper
	$("#socialPopup-%id=uniqueid% .xingHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('https://www.xing-share.com/app/user?op=share;sc_p=xing-share;url='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "https://www.xing-share.com/app/user?op=share;sc_p=xing-share;url="+url;
		%[endif]%
	});
		
});

/*
============================================================
POLITE REMINDER:
It's unlawful to deliberately try to unlock demo versions of stacks or divulge details to anyone else about unlocking demo's. Please purchase this stack if you want a copy of the stack licensed in your name; with no demo restrictions imposed and access to our free support and automatic updates.
============================================================
*/

$(document).ready(function() {
$('#%id%').append("<h5>Free Demo Stack</h5>This demo is provided for your convenience, to help you conduct a full evaluation of the stack, before committing to a possible purchase. While in demo mode, this stack will be hidden after 1 minute and will not display again until the page is reloaded. Automatic updates have been disabled. You can purchase an unlocked copy of this stack securely from the website. This purchased copy will be licensed in your name and carry no demo restrictions. Content and settings you setup now will be retained upon obtaining a full version of the stack.");
$("#%id%").delay(60000).fadeOut(0);
});